Database Connection
Management of database connections.
Returns a list of available database connections, which you can use to register Database assets.
This API only returns the connections that have already been synchronized with the catalog. If a specific database connection is missing, the /databaseConnections/refresh API can be called to refresh the database connections available in the catalog with the data source.
Collibra REST API authentication using Basic Authentication.
The ID of the Edge connection.
The ID of the schema connection.
The index of the first result to retrieve.
If not set (offset = 0), results will be retrieved starting from row 0.
0The maximum number of results to retrieve.
If not set, the default limit (limit = 0) will be used. The maximum value for this parameter is
500.
0Database connections successfully retrieved.
The request is not valid.
The client is not authenticated.
The user lacks permissions.
GET /rest/catalogDatabase/v1/databaseConnections HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
"results": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "customer_db",
"edgeConnectionId": "123e4567-e89b-12d3-a456-426614174000",
"databaseId": "123e4567-e89b-12d3-a456-426614174000"
}
]
}Returns a specific database schema connection.
Collibra REST API authentication using Basic Authentication.
The ID of the database connection.
Represents a database connection.
The connection reference to the specific database.
The ID of the database connection.
The exact name of a database (catalog) read from the source.
customer_dbThe ID of the Edge connection.
The ID of the Database asset linked with this database connection.
The request is not valid.
The client is not authenticated.
The user lacks permissions.
Resource not found.
GET /rest/catalogDatabase/v1/databaseConnections/{databaseConnectionId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "customer_db",
"edgeConnectionId": "123e4567-e89b-12d3-a456-426614174000",
"databaseId": "123e4567-e89b-12d3-a456-426614174000"
}Retrieve the database connections linked to a specific Edge connection and create the new database connections in Catalog.
This is an asynchronous API since it needs to reach out to the data source via Edge to retrieve the list of available database connections, which can take some time.
Collibra REST API authentication using Basic Authentication.
The ID of the Edge connection.
The database connections synchronization job has started. The response includes the location of the GET API that you can use to monitor the job as a Location header.
The request is not valid.
The client is not authenticated.
The user lacks permissions.
POST /rest/catalogDatabase/v1/databaseConnections/refresh?edgeConnectionId=123e4567-e89b-12d3-a456-426614174000 HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"resourceType": "View",
"name": "Test name",
"type": "IMPORT",
"userId": "123e4567-e89b-12d3-a456-426614174000",
"progressPercentage": 50,
"startDate": 1488016800,
"endDate": 1488021800,
"state": "COMPLETED",
"message": "Import finished in 12s."
}Last updated
Was this helpful?